Main Page Modules Data Structures File List Data Fields Globals Related Pages

# __dirstream Struct Reference

## Data Fields
int | fd
char * | data
size_t | allocation
size_t | size
size_t | offset
off_t | filepos

## Field Documentation

size_t __dirstream::allocation

| Definition at line 1084 of file rpmrpc.c. Referenced by ftpOpendir.

char* __dirstream::data

| Definition at line 1083 of file rpmrpc.c. Referenced by ftpOpendir.

int __dirstream::fd

| Definition at line 1082 of file rpmrpc.c. Referenced by ftpOpendir.

off_t __dirstream::filepos

| Definition at line 1087 of file rpmrpc.c. Referenced by ftpOpendir.

size_t __dirstream::offset

| Definition at line 1086 of file rpmrpc.c. Referenced by ftpOpendir.

size_t __dirstream::size

| Definition at line 1085 of file rpmrpc.c. Referenced by ftpOpendir.

The documentation for this struct was generated from the following file:

- rpmio/rpmrpc.c